<?php

namespace ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\Buttons;

use \ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\Modals\ExampleModal;

/**
 * base button controller
 *
 * @author Sławomir Miśkowicz <slawomir@modulesgarden.com>
 */
class BaseMassActionButton extends BaseModalButton
{
    protected $id             = 'baseMassActionButton';
    protected $class          = ['btn btn--default btn--link btn--plain'];
    protected $icon           = 'btn--icon zmdi zmdi-account';
    protected $title          = 'baseMassActionButton';
    protected $htmlAttributes = [
        'href'        => 'javascript:;'
    ];

    public function initContent()
    {
        $this->initLoadModalAction((new ExampleModal()));
    }

    public function switchToRemoveBtn()
    {
        $this->replaceClasses(['btn btn--danger btn--link btn--plain']);
        $this->setIcon('btn--icon zmdi zmdi-delete');

        return $this;
    }
}
